### Class

# Gtk NamedAction

#### Description [src]

    final class Gtk.NamedAction : Gtk.ShortcutAction {
      /* No available fields */
    }

A `GtkShortcutAction` that activates an action by name.

#### Hierarchy

#### Ancestors

- GtkShortcutAction
- GObject

#### Constructors

###### gtk_named_action_new

Creates an action that when activated, activates the named action on the widget.

#### Instance methods

###### gtk_named_action_get_action_name

Returns the name of the action that will be activated.

##### Methods inherited from GtkShortcutAction (3)

###### gtk_shortcut_action_activate

Activates the action on the `widget` with the given `args`.

###### gtk_shortcut_action_print

Prints the given action into a string for the developer.

###### gtk_shortcut_action_to_string

Prints the given action into a human-readable string.

#### Properties

###### Gtk.NamedAction:action-name

The name of the action to activate.

#### Class structure

    struct GtkNamedActionClass {
      /* no available fields */
    }